apt 3.1.11 commandline package manager

Public Types | Public Member Functions | Public Attributes | List of all members
IndexTarget Class Reference

Information about an index file. More...

`#include <apt-pkg/indexfile.h>`

## Public Types
enum | OptionKeys { SITE , RELEASE , COMPONENT , LANGUAGE , ARCHITECTURE , BASE_URI , REPO_URI , CREATED_BY , TARGET_OF , FILENAME , EXISTING_FILENAME , PDIFFS , COMPRESSIONTYPES , DEFAULTENABLED , SOURCESENTRY , BY_HASH , KEEPCOMPRESSEDAS , FALLBACK_OF , IDENTIFIER , ALLOW_INSECURE , ALLOW_WEAK , ALLOW_DOWNGRADE_TO_INSECURE , INRELEASE_PATH , SHADOWED }

## Public Member Functions
| IndexTarget (std::string const &MetaKey, std::string const &ShortDesc, std::string const &LongDesc, std::string const &URI, bool const IsOptional, bool const KeepCompressed, std::map< std::string, std::string > const &Options)
std::string | Option (OptionKeys const Key) const
bool | OptionBool (OptionKeys const Key) const
std::string | Format (std::string format) const

## Public Attributes
std::string | URI
| A URI from which the index file can be downloaded.
std::string | Description
| A description of the index file.
std::string | ShortDesc
| A shorter description of the index file.
std::string | MetaKey
| The key by which this index file should be looked up within the meta index file.
bool | IsOptional
| Is it okay if the file isn't found in the meta index.
bool | KeepCompressed
| If the file is downloaded compressed, do not unpack it.
std::map< std::string, std::string > | Options
| options with which this target was created Prefer the usage of #Option if at all possible. Beware: Not all of these options are intended for public use

## Detailed Description

Information about an index file.

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc